Bug 103932 - sortlist entries in /etc/resolv.conf get clobbered
sortlist entries in /etc/resolv.conf get clobbered
Product: Red Hat Linux
Classification: Retired
Component: redhat-config-network (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Harald Hoyer
Depends On:
  Show dependency treegraph
Reported: 2003-09-07 20:26 EDT by Leif Harcke
Modified: 2007-04-18 12:57 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2004-02-05 09:53:08 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Leif Harcke 2003-09-07 20:26:13 EDT
Description of problem:
sortlist entries added to /etc/resolv.conf get clobbered by the
redhat-config-network GUI

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1.edit /etc/sysconfig/networking/profiles/default/resolv.conf to contain
a sortlist entry
2.start up the redhat-config-nework GUI and go to the DNS page
3.hit cancel
Actual results:
sortlist entries in resolv.conf get trashed

Expected results:
GUI should ignore but preserve entries it doesn't understand

Additional info:
Occasionally something re-generates /etc/resolv.conf from preferences buried
somewhere in /etc/sysconfig, especially when using PPP as the primary network
interface.  So adding sortlist entires to /etc/resolv.conf is out of the
question.  It is interesting that such entries in
/etc/sysconfig/networking/profiles/default/resolv.conf also get trashed by the GUI.
Comment 1 Harald Hoyer 2003-09-08 05:07:09 EDT
could it be, that pppd changes your /etc/resolv.conf?
I think pppd moves /etc/resolv.conf to /etc/resolv.conf.bak ...
If you start r-c-n it takes /etc/resolv.conf as the actual system state and
copies it to the default profile
Comment 2 Leif Harcke 2003-09-10 02:40:29 EDT
Yes, quite possible.  Something is creating /etc/resolv.conf.save at the start
of the PPP session, there is nothing in the pppd manpage about this, don't have
the soruce rpm handy right now to grep for this behavior.  Apparently the
overwrite of /etc/resolv.conf occurs only if /etc/resolv.conf differs from what
pppd wants it to be.  A new /etc/resolv.conf.save is always created at session
start, but /etc/resolv.conf is only overwritten if it has custom entries.

I'll have to check the pppd source to see what is causing this.  Sortlist
probably isn't common in most people's setups, but we have enough multi-homed
machines with addresses not routed on the normal part of the campus network,
that stuff like kerberos starts failing if sortlist isn't in resolv.conf.

Note You need to log in before you can comment on or make changes to this bug.